This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1104232 - lmdb %check fails on s390(x)
lmdb %check fails on s390(x)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lmdb (Show other bugs)
20
s390 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Staněk
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2014-06-03 10:44 EDT by Jakub Čajka
Modified: 2014-08-07 11:28 EDT (History)
1 user (show)

See Also:
Fixed In Version: lmdb-0.9.13-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-07 11:28:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Koji build log (57.89 KB, text/x-log)
2014-06-03 10:44 EDT, Jakub Čajka
no flags Details
Succesfull build.log (66.88 KB, text/plain)
2014-07-18 05:00 EDT, Jan Staněk
no flags Details

  None (edit)
Description Jakub Čajka 2014-06-03 10:44:38 EDT
Created attachment 901816 [details]
Koji build log

Description of problem:
build fails during check phase

Version-Release number of selected component (if applicable):
lmdb-0.9.11-1.fc20

How reproducible:
Always

Steps to Reproduce:
1. build package

Actual results:
%check fails

Expected results:
%check passes

Additional info:
In attachment is koji build log.
Comment 1 Jan Staněk 2014-07-18 05:00:54 EDT
Created attachment 919000 [details]
Succesfull build.log

The test suite was failing beacuse of unexpected concurrent access to the database file (the mdb_stat binary accessed the DB before the mtest binary was finished).

This was fixed by inserting a wait period of 1 second between the calls of the aforementioned binaries.

Attaching the successful build log.
Comment 2 Fedora Update System 2014-07-18 06:18:11 EDT
lmdb-0.9.13-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lmdb-0.9.13-1.fc20
Comment 3 Fedora Update System 2014-07-19 02:07:33 EDT
Package lmdb-0.9.13-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lmdb-0.9.13-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8539/lmdb-0.9.13-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-08-07 11:28:03 EDT
lmdb-0.9.13-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.